import os
import sys


def generate_mcl_matrix(mcl_mat):

    mclfile = ["" for c in xrange(len(mcl_mat))]
    #Calculate the interaction matrix into string
    for c in xrange(len(mcl_mat)):
        for m in mcl_mat[c]:
            a, b, e = str(m[0]), str(m[1]), str(m[2])
            mclfile[c] += a + '\t' + b + '\t' + e + '\n'
    return mclfile

def create_graph_image():
    return

def run_mcl_cluster(mcl_file, inflation, scheme):

    #Run mcl module
    from subprocess import Popen, PIPE
    clusters = ["" for i in xrange(len(mcl_file))]
    
    cmd = 'mcl - --abc -scheme ' + str(scheme) + ' -I ' + str(inflation) + ' -o -'
        
    for c in xrange(len(mcl_file)):
        p = Popen(cmd, stdout = PIPE, stdin = PIPE, stderr = PIPE, shell = True)
        sout, serr = p.communicate(mcl_file[c])
        p.wait()
        clusters[c] = sout
    return clusters

def mcl2bed(cluster):

    #Turn the mcl result into the data for generating bed file
    cluster = cluster.split('\n')[:-1]
    bed = []
    for i in xrange(len(cluster)):
        cluster[i] = cluster[i].split()
        for j in xrange(len(cluster[i])):
            cluster[i][j] = int(cluster[i][j])
            bed.append([cluster[i][j], i])
    bed.sort()  #bed include the position and its belongings
    return bed
