import os
import sys
from distutils.core import setup, Extension
try:
    import py2exe
except ImportError:
    pass
try:
    import py2app
except ImportError:
    pass

def main():
    if float(sys.version[:3])<2.5 or float(sys.version[:3])>=2.8:
        sys.stderr.write("CRUCIAL: Python version must be 2.6 or 2.7!\n")
        sys.exit(1)

    setup(name="GESICA",
          version="Alpha",
          description="",
          author='Liu Lin; Yiqian Zhang',
          author_email='rileyliu.824@gmail.com; izzie.zhang.tongji@gmail.com',
          url='http://',
          package_dir={'GESICA' : 'lib'},
          packages=['GESICA', 'GESICA.IO'],
          scripts=['bin/gesica'],
          console=['bin/gesica'],
          app    =['bin/gesica'],
          classifiers=[
              'Development Status :: 4 - experimental',
              'Environment :: Console',
              'Intended Audience :: Developers',
              'License :: OSI Approved :: Artistic License',
              'Operating System :: MacOS :: MacOS X',
              'Operating System :: Microsoft :: Windows',
              'Operating System :: POSIX',
              'Programming Language :: Python',
              ],
          )
    check_setup_mcl()

def check_setup_mcl():
    
    check = os.popen('which mcl').read()
    if check != '':
        return
    else:
        os.chdir(sys.path[0] + '/mcl')
        os.system('./configure')
        os.system('make')
        os.system('make install')
    return

if __name__ == '__main__':
    main()
